module.exports = {
  base: '/doc/',
  title: '表单设计-使用文档',
  host: '127.0.0.1',
  port: "3000",
  description: '拖拽、代码编辑两种方式，可实现任一简单或复杂的定制化表单',
  dest: 'public/doc',
  head: [
    [
      'link',
      {
        rel: 'icon',
        href: '/images/logo.svg'
      }
    ]
  ],
  markdown: {
    lineNumbers: true
  },
  locales: {
    '/': {
      lang: 'zh-CN'
    }
  },
  themeConfig: {
    logo: '/images/logo.svg',
    editLinks: false,
    docsDir: 'docs',
    sidebarDepth: 4,
    displayAllHeaders: true,
    nav: [{
        text: '首页',
        link: '/'
      },
      {
        text: '拖拽',
        link: '/dnd/'
      },
      {
        text: '编辑',
        link: '/edit/'
      }
    ],
    sidebar: 'auto'
  }
}
