import { axios } from '@/utils/request'


const api = {
  formConfigs: '/application/docFormConfig/findAll',
  saveFormConfigs: '/application/docCustomForm/edit'
}

export default api

//post
export function postAction(url,parameter) {
  return axios({
    url: url,
    method:'post',
    data: parameter
  })
}

//post method= {post | put}
export function httpAction(url,parameter,method) {
  return axios({
    url: url,
    method:method ,
    data: parameter
  })
}

//put
export function putAction(url,parameter) {
  return axios({
    url: url,
    method:'put',
    data: parameter
  })
}

//get
export function getAction(url,parameter) {
  return axios({
    url: url,
    method: 'get',
    params: parameter
  })
}

//deleteAction
export function deleteAction(url,parameter) {
  return axios({
    url: url,
    method: 'delete',
    params: parameter
  })
}

export function getFormConfigs() {
  return axios({
    url: api.formConfigs,
    method: 'post'
  })
}

export function saveFormConfigs(parameter) {
  return axios({
    url: api.saveFormConfigs,
    method: 'post',
    data: parameter
  })
}



