const SIZE_HEIGHT_MAP = {
  large: 36,
  default: 32,
  small: 28,
}


export default {
  props:{
    data:Object
  },
  computed: {
    size(){
      const controlSize = this.data.size
      const configSize =( this.config && this.config.size ) ? this.config.size : null
      console.log(this.data)
      return controlSize || configSize || 'default'
    },
    sizeHeight(){
      return SIZE_HEIGHT_MAP[this.size] || SIZE_HEIGHT_MAP['default']
    },
    paddingStyle(){
      const paddings = []
      if (this.data.paddingTop) {
        paddings.push(`padding-top:${this.data.paddingTop}`)
      }
      if (this.data.paddingBottom) {
        paddings.push(`padding-bottom:${this.data.paddingBottom}`)
      }
      if (this.data.paddingLeft) {
        paddings.push(`padding-left:${this.data.paddingLeft}`)
      }
      if (this.data.paddingRight) {
        paddings.push(`padding-right:${this.data.paddingRight}`)
      }
      return paddings
    },
    marginStyle(){
      const margins = []
      if (this.data.marginTop) {
        margins.push(`margin-top:${this.data.marginTop}`)
      }
      if (this.data.marginBottom) {
        margins.push(`margin-bottom:${this.data.marginBottom}`)
      }
      if (this.data.marginLeft) {
        margins.push(`margin-left:${this.data.marginLeft}`)
      }
      if (this.data.marginRight) {
        margins.push(`margin-right:${this.data.marginRight}`)
      }
      return margins
    },
    borderStyle(){
      const styles = []
      if (this.data.borderWidth) {
        styles.push(`border-width:${this.data.borderWidth}`)
      }
      if (this.data.borderStyle) {
        styles.push(`border-style:${this.data.borderStyle}`)
      }
      if (this.data.borderColor) {
        styles.push(`border-color:${this.data.borderColor}`)
      }
      if (this.data.bgColor) {
        styles.push(`background-color:${this.data.bgColor}`)
      }
      return styles
    },
    boxInnerStyle(){
      return this.paddingStyle.concat(this.marginStyle).concat(this.borderStyle)
    }
  },
}