const assetsCDN = {
  // webpack build externals
  externals: {
    vue: 'Vue',
    //'ant-design-vue':'Antd',
    moment:'moment'
  },
  css: [
  ],
  // https://cdn.jsdelivr.net/npm/ant-design-vue@1.6.5/dist/antd.css
  js: [
    '//cdn.jsdelivr.net/npm/vue@2.6.10/dist/vue.min.js',
    //'//cdn.jsdelivr.net/npm/ant-design-vue@1.6.5/dist/antd.min.js',
    '//cdn.jsdelivr.net/npm/moment@2.27.0/min/moment.min.js',
    '//cdn.jsdelivr.net/npm/moment@2.27.0/min/moment-with-locales.min.js',
    '//unpkg.com/axios/dist/axios.min.js'
  ]
}

const vueConfig = {
  configureWebpack: {
   externals: assetsCDN.externals
  },
  // chainWebpack: (config) => {
  //   config.plugin('html').tap(args => {
  //     args[0].cdn = assetsCDN
  //     return args
  //   })
  // },
  css: {
    loaderOptions: {
      less: {
        lessOptions: {
          modifyVars: {
            'primary-color': '#1DA57A',
            'link-color': '#1DA57A',
            'border-radius-base': '2px',
          },
          javascriptEnabled: true,
        },
      },
    },
  },
  devServer: {
    // development server port 8000
    port: 8000,
    proxy: {
      '/webroot': {
        target: 'http://192.168.10.49:8302',
        changeOrigin: true,
        pathRewrite: {
          '^/webroot': ''
        }
      }
    }
  },
}

module.exports = vueConfig
